/**
  * Author solution
  * Task: birthday (CodeIT, Season 4, Round 2)
  */

#include <cstdio>
#include <stack>
#include <list>
#include <utility>

typedef std::pair<int, int> PII;

int n, k;
std::list<PII> chairs;
std::list<PII> guests;
int firstChair = 0;

void input ()
{
    int pos;

    scanf("%d%d", &n, &k);

    for (int i = 1; i <= k; i++)
    {
        scanf("%d", &pos);
        chairs.push_back(PII(i, pos));
    }

    for (int i = 1; i <= (k + 1); i++)
    {
        scanf("%d", &pos);
        guests.push_back(PII(i, pos));
    }
}

void solve ()
{
    std::stack<int> st;

    for (int t = 0; t < 2; t++)
    {
        std::list<PII>::iterator itChair = chairs.begin();
        std::list<PII>::iterator itGuest = guests.begin();

        while(itChair != chairs.end() && itGuest != guests.end())
        {
            if (itGuest->second <= itChair->second)
            {
                st.push(itGuest->first);
                itGuest = guests.erase(itGuest);
            }
            else
            {
                if (!st.empty())
                {
                    // guest (st.top()) sits on chair (itChair->first)
                    // but we don't care about that unless it's the first chair
                    if (itChair->first == 1)
                    {
                        firstChair = st.top();
                    }

                    st.pop();
                    itChair = chairs.erase(itChair);
                }
                else
                {
                    itChair++;
                }
            }
        }

        while (itGuest != guests.end())
        {
            st.push(itGuest->first);
            itGuest = guests.erase(itGuest);
        }

        while (itChair != chairs.end() && !st.empty())
        {
            // guest (st.top()) sits on chair (itChair->first)
            // but we don't care about that unless it's the first chair
            if (itChair->first == 1)
            {
                firstChair = st.top();
            }
            st.pop();
            itChair = chairs.erase(itChair);
        }
    }

    printf("%d\n", firstChair);
    printf("%d\n", st.top());
}

int main ()
{
    freopen("birthday.in", "r", stdin);
    freopen("birthday.out", "w", stdout);

    input();
    solve();

    return 0;
}
